Skip to content
API Reference
Credentials

Retrieve

Retrieve

GET/organizations/{organization_id}/service-accounts/{service_account_id}/credentials/{credential_id}

Get a specific service account credential

Path ParametersExpand Collapse
organization_id: string

Organization ID or label identifier

minLength1
maxLength255
service_account_id: string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
credential_id: string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
Query ParametersExpand Collapse
expand: optional array of "permissions" or "total_count"

Fields to expand in the response. Supports "permissions" to include the permissions field with the caller's permissions for the resource. For list organization identities only, "total_count" populates pagination.total_count with the number of identities matching the same filters as the list (excluding cursor and limit). Other operations ignore expand values they do not use.

Accepts one of the following:
"permissions"
"total_count"
Header ParametersExpand Collapse
"X-Client-Request-ID": optional string
formatuuid
ReturnsExpand Collapse
ServiceAccountCredential = object { id, client_id, created_at, 4 more }

Service account credential (without secret)

id: string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
client_id: string

The client ID for authentication

created_at: string

The time the entity was created in utc

formatdate-time
name: string

A name for the entity to be displayed in UI

description: optional string

Optional description of the credential

last_used_at: optional string

When the credential was last used

formatdate-time
permissions: optional map[map[boolean]]

Permissions granted to the authenticated principal for this resource. Only populated when the 'expand[]=permissions' query parameter is provided. Keys are resource types (e.g., "organizations"), values are objects mapping permission names to boolean values indicating if the permission is granted.

Retrieve

curl https://api.keycard.ai/organizations/$ORGANIZATION_ID/service-accounts/$SERVICE_ACCOUNT_ID/credentials/$CREDENTIAL_ID
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "client_id": "A1b2C3d4E5f6G7h8I9j0K",
  "created_at": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "description": "description",
  "last_used_at": "2019-12-27T18:11:19.117Z",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}
Returns Examples
{
  "id": "ab3def8hij2klm9opq5rst7uvw",
  "client_id": "A1b2C3d4E5f6G7h8I9j0K",
  "created_at": "2019-12-27T18:11:19.117Z",
  "name": "name",
  "description": "description",
  "last_used_at": "2019-12-27T18:11:19.117Z",
  "permissions": {
    "organizations": {
      "read": true,
      "update": true
    },
    "users": {
      "read": true,
      "list": true
    }
  }
}